@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE DH110100.101 DH110 4050
if errorlevel 1 goto end

:flash
AFUDOSA5.exe DH110100.101 /P /B /N
if errorlevel 1 goto end

FPT.exe -f DH110100.101 -me
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit